@charset "UTF-8";
/* CSS Document */

.clearfix::after {
	content: "";
	display: block;
	clear: both;
}

html {
	scroll-behavior: smooth;
	overflow: hidden;
}

/*  ----  リンクのホバー感  ----  */
a {
	color: #F08284;
	transition: 0.2s;
}
a:hover {
	opacity: 0.6;
}
a:active {
	opacity: 0.6;
	transform: scale(0.95);
}

/*  ----  リンクを押した時に白い枠が出る（ブラウザの仕様）を制御  ----  */
a:focus,
a:focus-visible,
a:active {
  outline: none;
}

/* ローディング　最初はメインを隠す */
body.loading main {
  visibility: hidden;
}
/* ローディング表示 js+HTMLの最初のローディング記述のコンボ */
#loading{
	position: fixed;
	inset: 0;
	background: #4c0d0d;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 99999;
	color: white;
	font-size: 30px;
	font-weight: bold;
	font-family: "Zen Kaku Gothic New", sans-serif;
}


body{
    font-size: 16px;
    background-color: #4c0d0d;
    font-family: "Zen Kaku Gothic New", sans-serif;
	cursor: none;
}



.site-title{
	font-size: clamp(18px, 4vw, 40px);
	font-family: "Zen Kaku Gothic New", sans-serif;
}

/* カーソル　モグが地面を掘る（jsと連動） */
.cursor-trail {
	position: fixed;
	pointer-events: none;
	width: 100px;
	height: 100px;
	transform: translate(-50%, -50%);
	animation: fadeOut 1.2s forwards;
	z-index: 9999;

}

@keyframes fadeOut {
  0%{
    transform: translate(-50%, -45%) scale(1);
  }

  50%{
    transform: translate(-50%, -55%) scale(1.2);
  }

  100%{
    transform: translate(-50%, -50%) scale(0.7);
  }
}

/* クリック　モグがぴょこっと 動き方（jsと連動） */
.cursor-click {
	position: fixed;
	pointer-events: none;
	width: 100px;
	height: 100px;
	transform: translate(-50%, -50%);
	z-index: 9999;

	animation: molePop 0.25s ease-out;
}
@keyframes molePop {

  0%{
    transform: translate(-50%, -40%) scale(0.7);
  }

  60%{
    transform: translate(-50%, -60%) scale(1.1);
  }

  100%{
    transform: translate(-50%, -50%) scale(1);
  }

}

/*  ----  ヘッダー  ----  */
header{
	background-color: #fff;	
}

.header {
	position: fixed;   /* 固定表示 */
	top: 0;
	left: 0;

	width: 100%;
	height: clamp(100px, 10vw, 140px);


	display: flex;     /* 横並び */
	align-items: center;
	justify-content: center;


	z-index: 1000;
}

/*  ----  ボタン  ----  */
.nav-btn { 
	width: clamp(120px, 15vw, 240px);
	aspect-ratio: 2 / 1;
	border: none;
	cursor: pointer;
	background-color: transparent;
	background-repeat: no-repeat;
	padding: 0;
	background-position: center;
	background-size: contain; 
	transition: transform 0.2s ease;
}

.menu-btn {
	background-image: url("../img/menu01.png");
	position: absolute;
	right: 40px;
	transform: translateY(5px);
}
.menu-btn:hover {
  background-image: url("../img/menu02.png");
	transform: translateY(0px);
}
.back-btn {
  background-image: url("../img/back01.png");
	position: absolute;
  left: 40px;
	transform: translateY(5px);
}
.back-btn:hover {
  background-image: url("../img/back02.png");
	transform: translateY(0px);
}
.side-menu,.side-menu {
  cursor: default;
}
.side-menu a{
  cursor: pointer;
	display: inline-block;
}
.side-menu a:active{
  transform: scale(0.9);
}

/*  ----  メイン  ----  */
/* トップページ */

main{
  position:fixed;
  top:clamp(100px,10vw,140px);
  bottom:85px;
  left:0;
  right:0;

  padding:10px 0;

  overflow:hidden;
  background:#4c0d0d;
	display:flex;
	justify-content:center;
}

main::before,
main::after{
  content:"";
  position:absolute;
  left:0;
  width:100%;
  height:60px;
  background:#4c0d0d;
  z-index:10;
  pointer-events:none;
	opacity: 0.8;
}

main::before{
  top:0;
}

main::after{
  bottom:0;
}

.container{
	max-width: 1300px;
	margin: 0 auto;
	background-color: #4c0d0d;
	height:100%;
	display:flex;
}

.wall{
  height:100%;
  overflow:hidden;

  display:flex;
  flex-direction:column;
  gap:20px;
}

/* JSで生成される段 */
.track{
  display:flex;
  gap:16px;
  width:max-content;
  animation:scroll 600s linear infinite;
  align-items:center;
}

.track:first-child{
  padding-top:15px;
}

.track:last-child{
  padding-bottom:15px;
}

.track:nth-child(3n) {
  animation-duration: 500s;
}

.track:nth-child(4n) {
  animation-duration: 400s;
}

.track:nth-child(even) {
  animation-direction: reverse;
}


.track img{
  height:clamp(60px,12vw,120px);
  width:auto;
  flex-shrink:0;
  transition:0.3s;
}

.track img:hover{
  transform: scale(1.25);
  box-shadow: 0 8px 20px rgba(0,0,0,0.8);
}
.track:hover{
	animation-play-state: paused;
}


@keyframes scroll {
  from { transform: translateX(0); }
  to   { transform: translateX(-50%); }
}



/*  ----  フッター  ----  */
.footer{
	position: fixed;
 	bottom: 0;
	left: 0;
	width: 100%;
	height: 72px;

	display: flex;
	align-items: center;
	justify-content: center;
	/* レスポンス対応で折りたたむ flex-wrap: wrap;*/
	


	background: #f5f5f5;
	font-size: 14px;
	color: #666;
	cursor: default;
}

.footer-text{
	margin-right: 20px;
}

.sns-icons-footer{
	display: flex;
	gap:20px;
}
.sns-icons-footer img{
	width: auto;
	height:20px;
}

.youtube-mini{
	display: none;
}


/*  ----  クリックで拡大  ----  */
.modal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.8);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.modal img {
	max-width: 80%;
	max-height: 80%;
	transform: translateY(5vh);
}

.modal.active {
	display: flex;
}
/*  ----  メニューのオーバーレイ（最初は非表示）  ----  */
.menu-overlay{
	position: fixed;
	inset: 0;
	background: rgba(0,0,0,0.3);
	opacity: 0;
	pointer-events: none;
	transition: 0.3s;
	z-index: 1400;
}
/*  ----  メニューのオーバーレイ（最初は非表示）  ----  */
#menu-toggle:checked ~ .menu-overlay{
	opacity: 1;
	pointer-events: auto;
}


/*--------------------------
	メニュー
--------------------------*/
/* メニューは最初は右の外 */
.side-menu {
	position: fixed;
	top: 0;
	right: 0;
	width: 300px;
	height: 100vh;
	background: #4c0d0d;
	transform: translateX(100%);
	transition: transform 0.3s ease;
	z-index: 1500;
}
.side-menu a{
	color: white;
	font-weight: bold;
	text-decoration: none;
	font-size: 30px;
	padding: 12px 0;
	font-family: "Zen Kaku Gothic New", sans-serif;
}
/* チェックが入ったら出す */
#menu-toggle:checked ~ .side-menu {
	transform: translateX(0);
}

/* menu内SNSアイコン */
.menu-sns{
	justify-content:center;
}
.sns-icons-menu{
	display: flex;
	gap:20px;
}
.sns-icons-menu a:first-child{
	margin-left: -10px;
}
.sns-icons-menu img{
	width: auto;
	height:25px;
}

/* worksページの画像 */
.works{
	text-align:center;
}
.works a{
	display: inline-block;
	margin: 20px;
}
.works img{
	width:clamp(400px,40vw,545px);
	height:auto;
	gap: 30px;
}

.works-hover01 img:hover{
	content: url("../img/works/mogplate06-2.png")
}

.works-hover02 img:hover{
	content: url("../img/works/mogplate08-2.png")
}

.works-hover03 img:hover{
	content: url("../img/works/mogplate07-2.png")
}

.works-hover04 img:hover{
	content: url("../img/works/mogplate05-2.png")
}



